Bug 1331340 - heal-info heal-failed shows wrong output when all the bricks are online.
Summary: heal-info heal-failed shows wrong output when all the bricks are online.
Keywords:
Status: CLOSED EOL
Alias: None
Product: GlusterFS
Classification: Community
Component: replicate
Version: 3.7.11
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1333705 1388509 1500658 1500660 1500662
TreeView+ depends on / blocked
 
Reported: 2016-04-28 10:36 UTC by Karan Sandha
Modified: 2017-10-11 09:55 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-08 10:47:55 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)
Screenshot for the issue (304.75 KB, image/png)
2016-04-28 10:42 UTC, Karan Sandha
no flags Details

Description Karan Sandha 2016-04-28 10:36:17 UTC
Description of problem:
The information provided by "heal" command should be as per the gluster status when the bricks are online.

Version-Release number of selected component (if applicable):
3.7.11

How reproducible: 2/2


Steps to Reproduce:
1.bring the brick 1 down. Create files and directory on brick 2.
2.boot the brick 1 and when it comes online and run the command "gluster volume heal arbiter info  heal-failed"



Actual results:
Gathering list of heal failed entries on volume arbiter has been unsuccessful on bricks that are down. Please check if all brick processes are running.

Expected results:
it should inform the user about heals failed in the progress of self healing.

Additional info:

Comment 1 Karan Sandha 2016-04-28 10:42:38 UTC
Created attachment 1151803 [details]
Screenshot for the issue

Comment 2 Karan Sandha 2016-05-13 11:57:54 UTC
++ ISSUE


[root@dhcp43-153 directory4]# gluster volume heal info
Launching heal operation to perform index self heal on volume info has been unsuccessful on bricks that are down. Please check if all brick processes are running.


when given the wrong name of the volume in heal command it shows wrong output.

Comment 3 Ravishankar N 2016-09-08 12:24:36 UTC
Changing to replicate as the issue is not relevant to arbiter. Also, comment #2 is the correct bug description.

Comment 4 Kaushal 2017-03-08 10:47:55 UTC
This bug is getting closed because GlusteFS-3.7 has reached its end-of-life.

Note: This bug is being closed using a script. No verification has been performed to check if it still exists on newer releases of GlusterFS.
If this bug still exists in newer GlusterFS releases, please reopen this bug against the newer release.


Note You need to log in before you can comment on or make changes to this bug.